package com.ywt.mg.domain.entities;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 数字营销-收藏表
 */
@Table(name = "marketing_collection")
@Entity
public class MarketingCollection implements Serializable {
  private static final long serialVersionUID = 1L;

  /**
   * 主键id
   */
  @Id
  @GeneratedValue(strategy = GenerationType.IDENTITY)
  @Column(name = "id", insertable = false, nullable = false)
  private Integer id;

  /**
   * 任务表ID，对应 marketing_project 表ID
   */
  @Column(name = "marketing_project_id", nullable = false)
  private Integer marketingProjectId;

  /**
   * 用户ID，对应user表ID
   */
  @Column(name = "user_id", nullable = false)
  private Integer userId = 0;

  /**
   * 是否删除，0-否，1-是
   */
  @Column(name = "deleted", nullable = false)
  private Integer deleted = 0;

  /**
   * 创建时间
   */
  @Column(name = "create_time", nullable = false)
  private Date createTime;

  /**
   * 修改时间
   */
  @Column(name = "update_time", nullable = false)
  private Date updateTime;

  /**
   * 主键id
   */
  public Integer getId() {
    return id;
  }

  /**
   * 主键id
   */
  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * 任务表ID，对应 marketing_project 表ID
   */
  public Integer getMarketingProjectId() {
    return marketingProjectId;
  }

  /**
   * 任务表ID，对应 marketing_project 表ID
   */
  public void setMarketingProjectId(Integer marketingProjectId) {
    this.marketingProjectId = marketingProjectId;
  }

  /**
   * 用户ID，对应user表ID
   */
  public Integer getUserId() {
    return userId;
  }

  /**
   * 用户ID，对应user表ID
   */
  public void setUserId(Integer userId) {
    this.userId = userId;
  }

  /**
   * 是否删除，0-否，1-是
   */
  public Integer getDeleted() {
    return deleted;
  }

  /**
   * 是否删除，0-否，1-是
   */
  public void setDeleted(Integer deleted) {
    this.deleted = deleted;
  }

  /**
   * 创建时间
   */
  public Date getCreateTime() {
    return createTime;
  }

  /**
   * 创建时间
   */
  public void setCreateTime(Date createTime) {
    this.createTime = createTime;
  }

  /**
   * 修改时间
   */
  public Date getUpdateTime() {
    return updateTime;
  }

  /**
   * 修改时间
   */
  public void setUpdateTime(Date updateTime) {
    this.updateTime = updateTime;
  }

  public String toString() {
    return "MarketingCollection{id=" + id + 
      ", marketingProjectId=" + marketingProjectId + 
      ", userId=" + userId + 
      ", deleted=" + deleted + 
      ", createTime=" + createTime + 
      ", updateTime=" + updateTime + 
      "}";
  }
}