package com.ywt.mg.domain.entities;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 数字营销-图片表
 */
@Entity
@Table(name = "marketing_image")
public class MarketingImage implements Serializable {
  private static final long serialVersionUID = 1L;

  /**
   * 数字营销图片表ID
   */
  @Id
  @GeneratedValue(strategy = GenerationType.IDENTITY)
  @Column(name = "id", insertable = false, nullable = false)
  private Integer id;

  /**
   * 用户ID，对应 user 表ID
   */
  @Column(name = "user_id", nullable = false)
  private Integer userId = 0;

  /**
   * 任务ID，对应 marketing_project 表ID
   */
  @Column(name = "project_id")
  private Integer projectId = 0;

  /**
   * 用户工种信息ID，对应 marketing_job_type_user 表ID
   */
  @Column(name = "job_type_user_id", nullable = false)
  private Integer jobTypeUserId;

  /**
   * 工种类型ID，对应 sys_dict_type_item 表ID
   */
  @Column(name = "job_type_id", nullable = false)
  private Integer jobTypeId = 0;

  /**
   * 工种类型名称，对应 sys_dict_type_item 表（type_code：marketing_job_type） item_name
   */
  @Column(name = "job_type_name", nullable = false)
  private String jobTypeName = "";

  /**
   * 文件（word、pdf、图片）名称
   */
  @Column(name = "name")
  private String name;

  /**
   * 图片链接
   */
  @Column(name = "image_url", nullable = false)
  private String imageUrl;

  /**
   * 图片类型，1-医药代表，2-医生，3-护士，4-药师，5-任务附件（可以是word、pdf、图片），6-验收资料
   */
  @Column(name = "type")
  private Integer type = 0;

  /**
   * 图片审核状态,0-待审核，1-审核通过，2-审核不通过
   */
  @Column(name = "status")
  private Integer status = 0;

  /**
   * 是否删除
   */
  @Column(name = "deleted", nullable = false)
  private Integer deleted = 0;

  /**
   * 创建时间
   */
  @Column(name = "create_time", nullable = false)
  private Date createTime;

  /**
   * 修改时间
   */
  @Column(name = "update_time", nullable = false)
  private Date updateTime;

  /**
   * 申请表id
   */
  @Column(name = "apply_id")
  private Integer applyId;

  /**
   * 文件类型(jpg,pdf,docx)
   */
  @Column(name = "image_type")
  private String imageType;

  /**
   * 数字营销图片表ID
   */
  public Integer getId() {
    return id;
  }

  /**
   * 数字营销图片表ID
   */
  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * 用户ID，对应 user 表ID
   */
  public Integer getUserId() {
    return userId;
  }

  /**
   * 用户ID，对应 user 表ID
   */
  public void setUserId(Integer userId) {
    this.userId = userId;
  }

  /**
   * 任务ID，对应 marketing_project 表ID
   */
  public Integer getProjectId() {
    return projectId;
  }

  /**
   * 任务ID，对应 marketing_project 表ID
   */
  public void setProjectId(Integer projectId) {
    this.projectId = projectId;
  }

  /**
   * 用户工种信息ID，对应 marketing_job_type_user 表ID
   */
  public Integer getJobTypeUserId() {
    return jobTypeUserId;
  }

  /**
   * 用户工种信息ID，对应 marketing_job_type_user 表ID
   */
  public void setJobTypeUserId(Integer jobTypeUserId) {
    this.jobTypeUserId = jobTypeUserId;
  }

  /**
   * 工种类型ID，对应 sys_dict_type_item 表ID
   */
  public Integer getJobTypeId() {
    return jobTypeId;
  }

  /**
   * 工种类型ID，对应 sys_dict_type_item 表ID
   */
  public void setJobTypeId(Integer jobTypeId) {
    this.jobTypeId = jobTypeId;
  }

  /**
   * 工种类型名称，对应 sys_dict_type_item 表（type_code：marketing_job_type） item_name
   */
  public String getJobTypeName() {
    return jobTypeName;
  }

  /**
   * 工种类型名称，对应 sys_dict_type_item 表（type_code：marketing_job_type） item_name
   */
  public void setJobTypeName(String jobTypeName) {
    this.jobTypeName = jobTypeName;
  }

  /**
   * 文件（word、pdf、图片）名称
   */
  public String getName() {
    return name;
  }

  /**
   * 文件（word、pdf、图片）名称
   */
  public void setName(String name) {
    this.name = name;
  }

  /**
   * 图片链接
   */
  public String getImageUrl() {
    return imageUrl;
  }

  /**
   * 图片链接
   */
  public void setImageUrl(String imageUrl) {
    this.imageUrl = imageUrl;
  }

  /**
   * 图片类型，1-医药代表，2-医生，3-护士，4-药师，5-任务附件（可以是word、pdf、图片），6-验收资料
   */
  public Integer getType() {
    return type;
  }

  /**
   * 图片类型，1-医药代表，2-医生，3-护士，4-药师，5-任务附件（可以是word、pdf、图片），6-验收资料
   */
  public void setType(Integer type) {
    this.type = type;
  }

  /**
   * 图片审核状态,0-待审核，1-审核通过，2-审核不通过
   */
  public Integer getStatus() {
    return status;
  }

  /**
   * 图片审核状态,0-待审核，1-审核通过，2-审核不通过
   */
  public void setStatus(Integer status) {
    this.status = status;
  }

  /**
   * 是否删除
   */
  public Integer getDeleted() {
    return deleted;
  }

  /**
   * 是否删除
   */
  public void setDeleted(Integer deleted) {
    this.deleted = deleted;
  }

  /**
   * 创建时间
   */
  public Date getCreateTime() {
    return createTime;
  }

  /**
   * 创建时间
   */
  public void setCreateTime(Date createTime) {
    this.createTime = createTime;
  }

  /**
   * 修改时间
   */
  public Date getUpdateTime() {
    return updateTime;
  }

  /**
   * 修改时间
   */
  public void setUpdateTime(Date updateTime) {
    this.updateTime = updateTime;
  }

  /**
   * 申请表id
   */
  public Integer getApplyId() {
    return applyId;
  }

  /**
   * 申请表id
   */
  public void setApplyId(Integer applyId) {
    this.applyId = applyId;
  }

  /**
   * 文件类型(jpg,pdf,docx)
   */
  public String getImageType() {
    return imageType;
  }

  /**
   * 文件类型(jpg,pdf,docx)
   */
  public void setImageType(String imageType) {
    this.imageType = imageType;
  }

  public String toString() {
    return "MarketingImage{id=" + id + 
      ", userId=" + userId + 
      ", projectId=" + projectId + 
      ", jobTypeUserId=" + jobTypeUserId + 
      ", jobTypeId=" + jobTypeId + 
      ", jobTypeName=" + jobTypeName + 
      ", name=" + name + 
      ", imageUrl=" + imageUrl + 
      ", type=" + type + 
      ", status=" + status + 
      ", deleted=" + deleted + 
      ", createTime=" + createTime + 
      ", updateTime=" + updateTime + 
      ", applyId=" + applyId + 
      ", imageType=" + imageType + 
      "}";
  }
}