package com.ywt.mg.domain.entities;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 数字营销-用户工种信息表
 */
@Entity
@Table(name = "marketing_job_type_user")
public class MarketingJobTypeUser implements Serializable {
  private static final long serialVersionUID = 1L;

  /**
   * 用户的工种资料ID
   */
  @Id
  @GeneratedValue(strategy = GenerationType.IDENTITY)
  @Column(name = "id", insertable = false, nullable = false)
  private Integer id;

  /**
   * 用户ID，对应 user 表ID
   */
  @Column(name = "user_id", nullable = false)
  private Integer userId;

  /**
   * 工种类型ID，对应 sys_dict_type_item 表ID
   */
  @Column(name = "job_type_id", nullable = false)
  private Integer jobTypeId;

  /**
   * 工种类型名称，对应 sys_dict_type_item 表（type_code：marketing_job_type） item_name
   */
  @Column(name = "job_type_name", nullable = false)
  private String jobTypeName = "";

  /**
   * 其他描述
   */
  @Column(name = "other_description")
  private String otherDescription = "";

  /**
   * 是否删除
   */
  @Column(name = "deleted", nullable = false)
  private Integer deleted = 0;

  /**
   * 创建时间
   */
  @Column(name = "create_time", nullable = false)
  private Date createTime;

  /**
   * 修改时间
   */
  @Column(name = "update_time", nullable = false)
  private Date updateTime;

  /**
   * 用户的工种资料ID
   */
  public Integer getId() {
    return id;
  }

  /**
   * 用户的工种资料ID
   */
  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * 用户ID，对应 user 表ID
   */
  public Integer getUserId() {
    return userId;
  }

  /**
   * 用户ID，对应 user 表ID
   */
  public void setUserId(Integer userId) {
    this.userId = userId;
  }

  /**
   * 工种类型ID，对应 sys_dict_type_item 表ID
   */
  public Integer getJobTypeId() {
    return jobTypeId;
  }

  /**
   * 工种类型ID，对应 sys_dict_type_item 表ID
   */
  public void setJobTypeId(Integer jobTypeId) {
    this.jobTypeId = jobTypeId;
  }

  /**
   * 工种类型名称，对应 sys_dict_type_item 表（type_code：marketing_job_type） item_name
   */
  public String getJobTypeName() {
    return jobTypeName;
  }

  /**
   * 工种类型名称，对应 sys_dict_type_item 表（type_code：marketing_job_type） item_name
   */
  public void setJobTypeName(String jobTypeName) {
    this.jobTypeName = jobTypeName;
  }

  /**
   * 其他描述
   */
  public String getOtherDescription() {
    return otherDescription;
  }

  /**
   * 其他描述
   */
  public void setOtherDescription(String otherDescription) {
    this.otherDescription = otherDescription;
  }

  /**
   * 是否删除
   */
  public Integer getDeleted() {
    return deleted;
  }

  /**
   * 是否删除
   */
  public void setDeleted(Integer deleted) {
    this.deleted = deleted;
  }

  /**
   * 创建时间
   */
  public Date getCreateTime() {
    return createTime;
  }

  /**
   * 创建时间
   */
  public void setCreateTime(Date createTime) {
    this.createTime = createTime;
  }

  /**
   * 修改时间
   */
  public Date getUpdateTime() {
    return updateTime;
  }

  /**
   * 修改时间
   */
  public void setUpdateTime(Date updateTime) {
    this.updateTime = updateTime;
  }

  public String toString() {
    return "MarketingJobTypeUser{id=" + id + 
      ", userId=" + userId + 
      ", jobTypeId=" + jobTypeId + 
      ", jobTypeName=" + jobTypeName + 
      ", otherDescription=" + otherDescription + 
      ", deleted=" + deleted + 
      ", createTime=" + createTime + 
      ", updateTime=" + updateTime + 
      "}";
  }
}